package com.dcit.authority.service;

import java.util.List;

import com.dcit.authority.model.SysParam;
import com.dcit.authority.model.SysParamExample;


public interface SysParamService {
	
    int countByExample(SysParamExample example);

    int deleteByExample(SysParamExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(SysParam record);

    int insertSelective(SysParam record);

    List<SysParam> selectByExample(SysParamExample example);

    SysParam selectByPrimaryKey(Integer id);

    int updateByExampleSelective(SysParam record, SysParamExample example);

    int updateByExample(SysParam record, SysParamExample example);

    int updateByPrimaryKeySelective(SysParam record);

    int updateByPrimaryKey(SysParam record);
    
    SysParam selectByName(String name);

}
